WhatsApp · WhatsApp Sandbox
Returns your sandbox sessions.
GET
https://api.pozy.ai/v1/whatsapp/sandbox/sessionslistWhatsAppSandboxSessions
Guide: WhatsApp sandbox
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Example
curl -X GET "https://api.pozy.ai/v1/whatsapp/sandbox/sessions" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/whatsapp/sandbox/sessions", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/whatsapp/sandbox/sessions",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
sessionsarray of objectidstringrequiredphoneE164stringrequiredstatusstringrequiredOne of
pending,active.expiresAtstring (date-time)requiredactivatedAtstring (date-time)Can be null.
createdAtstring (date-time)Can be null.
sandboxNumberstringCan be null.
200 response
{
"sessions": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"phoneE164": "+14155550123",
"status": "pending",
"expiresAt": "2026-10-02T09:00:00.000Z",
"activatedAt": "2026-10-02T09:00:00.000Z",
"createdAt": "2026-10-02T09:00:00.000Z"
}
],
"sandboxNumber": "string"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.